---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Updates the Jamf Pro computer checkin information

```xml Sample Request Body
<computer_check_in>
    <check_in_frequency>5</check_in_frequency>
    <create_startup_script>true</create_startup_script>
    <log_startup_event>true</log_startup_event>
    <check_for_policies_at_startup>true</check_for_policies_at_startup>
    <apply_computer_level_managed_preferences>false</apply_computer_level_managed_preferences>
    <ensure_ssh_is_enabled>false</ensure_ssh_is_enabled>
    <create_login_logout_hooks>true</create_login_logout_hooks>
    <log_username>true</log_username>
    <check_for_policies_at_login_logout>true</check_for_policies_at_login_logout>
    <apply_user_level_managed_preferences>false</apply_user_level_managed_preferences>
    <hide_restore_partition>false</hide_restore_partition>
    <perform_login_actions_in_background>true</perform_login_actions_in_background>
    <display_status_to_user>false</display_status_to_user>
</computer_check_in>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/computercheckin": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "computercheckin"
        ],
        "summary": "Updates the Jamf Pro computer checkin information",
        "operationId": "updateComputerCheckin",
        "requestBody": {
          "content": {
            "application/xml": {
              "schema": {
                "$ref": "#/components/schemas/computer_check_in"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "computer_check_in": {
        "type": "object",
        "properties": {
          "check_in_frequency": {
            "type": "integer",
            "description": "Measured in minutes",
            "enum": [
              60,
              30,
              15,
              5
            ]
          },
          "create_startup_script": {
            "type": "boolean"
          },
          "log_startup_event": {
            "type": "boolean"
          },
          "check_for_policies_at_startup": {
            "type": "boolean"
          },
          "ensure_ssh_is_enabled": {
            "type": "boolean"
          },
          "create_login_logout_hooks": {
            "type": "boolean"
          },
          "log_username": {
            "type": "boolean"
          },
          "check_for_policies_at_login_logout": {
            "type": "boolean"
          },
          "display_status_to_user": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```